package cn.estsh.i3plus.pojo.lac.sqlpack;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.lac.bean.*;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 19-10-22 下午5:34
 * @Modify:
 **/
public class LacHqlPack {

    private LacHqlPack() {
    }

    public static DdlPackBean packHqlLacTaskType(LacTaskType bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacLogTaskDetail(LacLogTaskDetail bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacLogTask(LacLogTask bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacCommandStackType(LacCommandStackType bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacCommandStackRecord(LacCommandStackRecord bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacCommandStackStepByTemplateId(Long templateId) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();
        DdlPreparedPack.getNumEqualPack(templateId, "templateId", ddlPackBean);
        DdlPreparedPack.getOrderByPack(
                new Object[]{CommonEnumUtil.ASC_OR_DESC.DESC.getValue()},
                new String[]{"stepSort"},
                ddlPackBean
        );
        return ddlPackBean;
    }
}
